#!/bin/sh -e

# Source debconf library.
. /usr/share/debconf/confmodule

db_version 2.0
db_get hesiod/rhs
rhs="$RET"
db_get hesiod/lhs
lhs="$RET"
db_get hesiod/classes
classes="$RET"

hesconf=/etc/hesiod.conf

# If we don't have a hesiod.conf file yet, go ahead and populate it.
if [ ! -f $hesconf ]; then
  echo "# This file determines the behavior of the Hesiod library." > $hesconf
  echo >> $hesconf
  echo "# This line should pretty much always be the same, unless you have a" >> $hesconf
  echo "# funny environment." >> $hesconf
  echo "lhs=$lhs" >> $hesconf
  echo >> $hesconf
  echo "# This determines the Hesiod domain.  You must specify an rhs line." >> $hesconf
  echo "rhs=$rhs" >> $hesconf
  echo >> $hesconf
  echo "# This line specifies the class search order.  You can reverse the" >> $hesconf
  echo "# order or leave out IN or HS if you want.  Don't add spaces after the" >> $hesconf
  echo "# beginning of the value." >> $hesconf
  echo "classes=$classes" >> $hesconf
else
  sed -e "s/^lhs=.*/lhs=$lhs/" \
      -e "s/^rhs=.*/rhs=$rhs/" \
      -e "s/^classes=.*/classes=$classes/" \
      < $hesconf > $hesconf.new
  mv -f $hesconf.new $hesconf
fi

# Automatically added by dh_makeshlibs
if [ "$1" = "configure" ]; then
	ldconfig
fi
# End automatically added section


exit 0
